<?php
/**
 * @package     CMShortURL
 * @subpackage  com_cmshorturl
 * @copyright   Copyright (C) 2015 CMExtension Team http://www.cmext.vn/
 * @license     GNU General Public License version 2 or later
 */

defined('_JEXEC') or die;

JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
JHtml::_('behavior.tabstate');

$fieldsets = $this->form->getFieldsets();
?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'url.cancel' || document.formvalidator.isValid(document.getElementById('url-form'))) {
			Joomla.submitform(task, document.getElementById('url-form'));
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_cmshorturl&layout=edit&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="url-form" class="form-validate">

	<div class="form-horizontal">
		<?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'details')); ?>

		<?php foreach ($fieldsets as $fieldset) : ?>
			<?php echo JHtml::_('bootstrap.addTab', 'myTab', $fieldset->name, JText::_($fieldset->label, true)); ?>
			<?php foreach ($this->form->getFieldset($fieldset->name) as $field) : ?>
				<?php if ($field->hidden) : ?>
					<div class="control-group">
						<div class="controls"><?php echo $field->input; ?></div>
					</div>
				<?php else: ?>
					<div class="control-group">
						<div class="control-label"><?php echo $field->label; ?></div>
						<div class="controls"><?php echo $field->input; ?></div>
					</div>
				<?php endif; ?>
			<?php endforeach; ?>
			<?php echo JHtml::_('bootstrap.endTab'); ?>
		<?php endforeach; ?>
	</div>

	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</form>
